<?php
if ( ! defined( 'ABSPATH' ) ) exit;

class de_mach_filter_posts_code extends ET_Builder_Module {

public $vb_support = 'on';

protected $module_credits = array(
  'module_uri' => DE_DMACH_PRODUCT_URL,
  'author'     => DE_DMACH_AUTHOR,
  'author_uri' => DE_DMACH_URL,
);

                function init() {
                    $this->name       = esc_html__( '.Filter Posts - Divi Machine', 'divi-machine' );
                    $this->slug = 'et_pb_de_mach_filter_posts';
                		$this->vb_support      = 'on';
                		$this->child_slug      = 'et_pb_de_mach_search_posts_item';
                		$this->child_item_text = esc_html__( 'Filter Item', 'et_builder' );


                    $this->fields_defaults = array(
                    // 'loop_layout'         => array( 'on' ),
                    );

          $this->settings_modal_toggles = array(
      			'general' => array(
      				'toggles' => array(
      					'main_content' => esc_html__( 'Main Options', 'divi-machine' ),
        					'layout' => esc_html__( 'Layout Options', 'divi-machine' ),
          					'filter_item' => esc_html__( 'Filter Item', 'divi-machine' ),
            					'toggle_appearance' => esc_html__( 'Toggle Appearance', 'divi-machine' ),
      				),
      			),
      			'advanced' => array(
      				'toggles' => array(
      					'text' => esc_html__( 'Text', 'divi-machine' ),
      				),
      			),

      		);


                      $this->main_css_element = '%%order_class%%';


                      $this->advanced_fields = array(
                  			'fonts' => array(
                  				'title' => array(
                  					'label'    => esc_html__( 'Item', 'divi-machine' ),
                  					'css'      => array(
                  						'main' => "%%order_class%% ul.products li.product .woocommerce-loop-product__title",
                  						'important' => 'plugin_only',
                  					),
                  					'font_size' => array(
                  						'default' => '14px',
                  					),
                  					'line_height' => array(
                  						'default' => '1em',
                  					),
                  				),
                  			),
              			'background' => array(
              				'settings' => array(
              					'color' => 'alpha',
              				),
              			),
                    'button' => array(
            'button' => array(
              'label' => esc_html__( 'Button', 'divi-bodyshop-woocommerce' ),
              'css' => array(
                'main' => "{$this->main_css_element} .et_pb_button",
                'important' => 'all',
              ),
              'box_shadow'  => array(
                'css' => array(
                  'main' => "{$this->main_css_element} .et_pb_button",
                      'important' => 'all',
                ),
              ),
              'margin_padding' => array(
              'css'           => array(
                'main' => "{$this->main_css_element} .et_pb_button",
                'important' => 'all',
              ),
              ),
                'use_alignment' => true,
            ),
          ),
                    'form_field'           => array(
                      'form_field' => array(
                        'label'         => esc_html__( 'Fields', 'et_builder' ),
                        'css'           => array(
                          'main'                   => '%%order_class%% .et_pb_contact_field select, %%order_class%% .et_pb_contact_field[type="checkbox"] + label i, %%order_class%% .et_pb_contact_field[type="radio"] + label i',
                          'background_color'       => '%%order_class%% .et_pb_contact_field select, %%order_class%% .et_pb_contact_field[type="checkbox"] + label i, %%order_class%% .et_pb_contact_field[type="radio"] + label i',
                          'background_color_hover' => '%%order_class%% .et_pb_contact_field select:hover, %%order_class%% .et_pb_contact_field[type="checkbox"]:hover + label i, %%order_class%% .et_pb_contact_field[type="radio"]:hover + label i',
                          'focus_background_color' => '%%order_class%% .et_pb_contact_field select:focus, %%order_class%% .et_pb_contact_field[type="checkbox"]:active + label i, %%order_class%% .et_pb_contact_field[type="radio"]:active + label i',
                          'focus_background_color_hover' => '%%order_class%% .et_pb_contact_field select:focus:hover, %%order_class%% .et_pb_contact_field[type="checkbox"]:active:hover + label i, %%order_class%% .et_pb_contact_field[type="radio"]:active:hover + label i',
                          'placeholder_focus'      => '%%order_class%% p .input:focus::-webkit-input-placeholder, %%order_class%% p .input:focus::-moz-placeholder, %%order_class%% p .input:focus:-ms-input-placeholder, %%order_class%% p textarea:focus::-webkit-input-placeholder, %%order_class%% p textarea:focus::-moz-placeholder, %%order_class%% p textarea:focus:-ms-input-placeholder',
                          'padding'                => '%%order_class%% .et_pb_contact_field select, %%order_class%% .et_pb_contact_field[type="checkbox"] + label i, %%order_class%% .et_pb_contact_field[type="radio"] + label i',
                          'margin'                 => '%%order_class%% .et_pb_contact_field select, %%order_class%% .et_pb_contact_field[type="checkbox"] + label i, %%order_class%% .et_pb_contact_field[type="radio"] + label i',
                          'form_text_color'        => '%%order_class%% .et_pb_contact_field select, %%order_class%% .et_pb_contact_field[type="checkbox"] + label, %%order_class%% .et_pb_contact_field[type="radio"] + label, %%order_class%% .et_pb_contact_field[type="checkbox"]:checked + label i:before',
                          'form_text_color_hover'  => '%%order_class%% .et_pb_contact_field select:hover, %%order_class%% .et_pb_contact_field[type="checkbox"]:hover + label, %%order_class%% .et_pb_contact_field[type="radio"]:hover + label, %%order_class%% .et_pb_contact_field[type="checkbox"]:checked:hover + label i:before',
                          'focus_text_color'       => '%%order_class%% .et_pb_contact_field select:focus, %%order_class%% .et_pb_contact_field[type="checkbox"]:active + label, %%order_class%% .et_pb_contact_field[type="radio"]:active + label, %%order_class%% .et_pb_contact_field[type="checkbox"]:checked:active + label i:before',
                          'focus_text_color_hover' => '%%order_class%% .et_pb_contact_field select:focus:hover, %%order_class%% .et_pb_contact_field[type="checkbox"]:active:hover + label, %%order_class%% .et_pb_contact_field[type="radio"]:active:hover + label, %%order_class%% .et_pb_contact_field[type="checkbox"]:checked:active:hover + label i:before',
                        ),
                        'box_shadow'    => false,
                        'border_styles' => false,
                        'font_field'    => array(
                          'css' => array(
                            'main'  => implode( ', ', array(
                              "{$this->main_css_element} .input",
                              "{$this->main_css_element} .input::placeholder",
                              "{$this->main_css_element} .input::-webkit-input-placeholder",
                              "{$this->main_css_element} .input::-moz-placeholder",
                              "{$this->main_css_element} .input:-ms-input-placeholder",
                              "{$this->main_css_element} .input[type=checkbox] + label",
                              "{$this->main_css_element} .input[type=radio] + label",
                            ) ),
                            'hover' => array(
                              "{$this->main_css_element} .input:hover",
                              "{$this->main_css_element} .input:hover::placeholder",
                              "{$this->main_css_element} .input:hover::-webkit-input-placeholder",
                              "{$this->main_css_element} .input:hover::-moz-placeholder",
                              "{$this->main_css_element} .input:hover:-ms-input-placeholder",
                              "{$this->main_css_element} .input[type=checkbox]:hover + label",
                              "{$this->main_css_element} .input[type=radio]:hover + label",
                            ),
                          ),
                        ),
                        'margin_padding' => array(
                          'css'        => array(
                            'main'    => '%%order_class%% .et_pb_contact_field',
                            'padding' => '%%order_class%% .et_pb_contact_field .input',
                            'margin'  => '%%order_class%% .et_pb_contact_field',
                          ),
                        ),
                      ),
                    ),
                  			'box_shadow' => array(
                  				'default' => array(),
                  				'filter_item'   => array(
                  					'label'           => esc_html__( 'Filter Item Box Shadow', 'et_builder' ),
                  					'option_category' => 'layout',
                  					'tab_slug'        => 'advanced',
                  					'toggle_slug'     => 'filter_item',
                  					'css'             => array(
                  						'main' => '%%order_class%% .dmach-filter-item',
                  					),
                  					'default_on_fronts'  => array(
                  						'color'    => '',
                  						'position' => '',
                  					),
                  				),
                  			),
                  		);


                      $this->custom_css_fields = array(
                  		);


            $this->help_videos = array(
            );
          }

          function get_fields() {

            ///////////////////////////////

            $acf_fields = DEDMACH_INIT::get_acf_fields();

            //////////////////////////////


              $fields = array(
              'filter_location' => array(
              'toggle_slug'       => 'main_content',
                'label'             => esc_html__( 'Filter Location', 'divi-machine' ),
                'type'              => 'select',
                'options'           => array(
                'side'       => esc_html__( 'Side Columm', 'divi-machine' ),
                'fullwidth'       => esc_html__( 'Fullwidth Column', 'divi-machine' ),
                ),
                'option_category'   => 'configuration',
                'affects'=>array(
                   'fullwidth_columns'.
                   'column_gap'
                ),
                'default'           => 'side',
                'description'       => esc_html__( 'Choose where you are placing the filter, this will change the appearance and the settings in the design tab', 'divi-machine' ),
              ),
              'fullwidth_columns' => array(
              'toggle_slug'       => 'main_content',
                'label'             => esc_html__( 'Number of Columns', 'divi-machine' ),
                'type'              => 'select',
                'options'           => array(
                'auto'       => esc_html__( 'Auto', 'divi-machine' ),
                '1'       => esc_html__( '1', 'divi-machine' ),
                '2'       => esc_html__( '2', 'divi-machine' ),
                '3'       => esc_html__( '3', 'divi-machine' ),
                '4'       => esc_html__( '4', 'divi-machine' ),
                '5'       => esc_html__( '5', 'divi-machine' ),
                '6'       => esc_html__( '6', 'divi-machine' ),
                '7'       => esc_html__( '7', 'divi-machine' ),
                '8'       => esc_html__( '8', 'divi-machine' ),
                '9'       => esc_html__( '9', 'divi-machine' ),
                '10'       => esc_html__( '10', 'divi-machine' ),
                ),
                'option_category'   => 'configuration',
                'depends_show_if' => 'fullwidth',
                'default'           => 'auto',
                'description'       => esc_html__( 'We will evenly divide the space between the number of filters unless you specify the number here.', 'divi-machine' ),
              ),
              'column_gap' => array(
                'label'           => esc_html__( 'Gap Between Columns', 'et_builder' ),
                'type'            => 'range',
                'default'         => '20',
                'default_unit'    => 'px',
                'default_on_front' => '',
                'depends_show_if' => 'fullwidth',
                'range_settings'  => array(
                  'min'  => '0',
                  'max'  => '300',
                  'step' => '1',
                ),
                'toggle_slug'       => 'main_content',
                'option_category'   => 'configuration',
                'description'       => esc_html__( 'Set the gap between the columns.', 'divi-machine' ),
              ),
              'filter_update_type' => array(
              'toggle_slug'       => 'main_content',
                'label'             => esc_html__( 'Filter Update Type', 'divi-machine' ),
                'type'              => 'select',
                'options'           => array(
                'update_button'       => esc_html__( 'Update via button', 'divi-machine' ),
                'update_field'       => esc_html__( 'Update after each field change', 'divi-machine' ),
                ),
                'option_category'   => 'configuration',
                'affects'=>array(
                   'search_button_text'
                ),
                'default'           => 'update_button',
                'description'       => esc_html__( 'Choose the post type you want to search', 'divi-machine' ),
              ),
              'search_button_text' => array(
              'toggle_slug'       => 'main_content',
                'label'             => esc_html__( 'Filter Button Text', 'divi-machine' ),
                'type'              => 'text',
                'option_category'   => 'configuration',
                'default'           => 'Search',
                'depends_show_if' => 'update_button',
                'description'       => esc_html__( 'Choose what you want the search button to say', 'divi-machine' ),
              ),
              'appearance' => array(
              'toggle_slug'       => 'layout',
                'label'             => esc_html__( 'Filter Style', 'divi-machine' ),
                'type'              => 'select',
                'options'           => array(
                'normal'       => esc_html__( 'Normal', 'divi-machine' ),
                'toggle'       => esc_html__( 'Toggle', 'divi-machine' ),
                ),
                'option_category'   => 'configuration',
                'affects'=>array(
                   'toggle_icon',
                   'toggle_dropdown_padding'
                ),
                'default'           => 'normal',
                'description'       => esc_html__( 'Choose the appearance style of your filters', 'divi-machine' ),
              ),
              // 'border' => array(
              // 'toggle_slug'       => 'layout',
              //   'label'             => esc_html__( 'Appearance', 'divi-machine' ),
              //   'type'              => 'select',
              //   'options'           => array(
              //   'normal'       => esc_html__( 'Normal', 'divi-machine' ),
              //   'toggle'       => esc_html__( 'Toggle', 'divi-machine' ),
              //   ),
              //   'option_category'   => 'configuration',
              //   'default'           => 'normal',
              //   'description'       => esc_html__( 'Choose the appearance style of your filters', 'divi-machine' ),
              // ),
              'filter_item_top' => array(
                'label'           => esc_html__( 'Filter Item From Top', 'et_builder' ),
                'type'            => 'range',
                'default'         => '40',
                'default_unit'    => 'px',
                'default_on_front' => '',
                'range_settings'  => array(
                  'min'  => '0',
                  'max'  => '300',
                  'step' => '1',
                ),
                'tab_slug'        => 'advanced',
                'toggle_slug'     => 'filter_item',
              ),
          			'filter_item_bg_color' => array(
          				'label'             => esc_html__( 'Filter Item Background Color', 'et_builder' ),
          				'type'              => 'color-alpha',
          				'tab_slug'          => 'advanced',
          				'toggle_slug'       => 'filter_item',
          				'description'       => esc_html__( 'This will change the fill color for the filter item background.', 'et_builder' ),
          				'default'           => "#ffffff"
          			),
          			'filter_item_padding_top' => array(
          				'label'           => esc_html__( 'Filter Item Padding Top', 'et_builder' ),
          				'type'            => 'range',
          				'default'         => '0',
          				'default_unit'    => 'px',
          				'default_on_front' => '',
          				'range_settings'  => array(
          					'min'  => '0',
          					'max'  => '100',
          					'step' => '1',
          				),
          				'tab_slug'        => 'advanced',
          				'toggle_slug'     => 'filter_item',
          			),
          			'filter_item_padding_right' => array(
          				'label'           => esc_html__( 'Filter Item Padding Right', 'et_builder' ),
          				'type'            => 'range',
          				'default'         => '0',
          				'default_unit'    => 'px',
          				'default_on_front' => '',
          				'range_settings'  => array(
          					'min'  => '0',
          					'max'  => '100',
          					'step' => '1',
          				),
          				'tab_slug'        => 'advanced',
          				'toggle_slug'     => 'filter_item',
          			),
          			'filter_item_padding_bottom' => array(
          				'label'           => esc_html__( 'Filter Item Padding Bottom', 'et_builder' ),
          				'type'            => 'range',
          				'default'         => '0',
          				'default_unit'    => 'px',
          				'default_on_front' => '',
          				'range_settings'  => array(
          					'min'  => '0',
          					'max'  => '100',
          					'step' => '1',
          				),
          				'tab_slug'        => 'advanced',
          				'toggle_slug'     => 'filter_item',
          			),
          			'filter_item_padding_left' => array(
          				'label'           => esc_html__( 'Filter Item Padding Left', 'et_builder' ),
          				'type'            => 'range',
          				'default'         => '0',
          				'default_unit'    => 'px',
          				'default_on_front' => '',
          				'range_settings'  => array(
          					'min'  => '0',
          					'max'  => '100',
          					'step' => '1',
          				),
          				'tab_slug'        => 'advanced',
          				'toggle_slug'     => 'filter_item',
          			),

'toggle_icon' => array(
'label'               => esc_html__( 'Toggle Icon', 'divi-machine' ),
'type'                => 'select_icon',
'option_category'     => 'configuration',
'class'               => array( 'et-pb-font-icon' ),
'description'         => esc_html__( 'Choose the icon to open and close the toggle.', 'divi-machine' ),
'tab_slug'        => 'advanced',
'default'             => '%%18%%',
'depends_show_if' => 'toggle',
'toggle_slug'     => 'toggle_appearance',
),
'toggle_dropdown_padding' => array(
  'label'           => esc_html__( 'Toggle dropdown padding', 'et_builder' ),
  'type'            => 'range',
  'default'         => '10',
  'default_unit'    => 'px',
  'default_on_front' => '',
  'depends_show_if' => 'toggle',
  'range_settings'  => array(
    'min'  => '0',
    'max'  => '200',
    'step' => '1',
  ),
  'tab_slug'        => 'advanced',
  'toggle_slug'     => 'toggle_appearance',
  'option_category'   => 'configuration',
  'description'       => esc_html__( 'Set the padding of the toggle drop down box.', 'divi-machine' ),
),
'__getfilter' => array(
    'type' => 'computed',
    'computed_callback' => array( 'de_mach_filter_posts_code', 'get_filter' ),
    'computed_depends_on' => array(
      'name',
    ),
),
          			// 'toggle_icon_rotate' => array(
          			// 	'label'           => esc_html__( 'Toggle Icon Rotate When Open', 'et_builder' ),
          			// 	'type'            => 'range',
          			// 	'default'         => '180',
          			// 	'default_unit'    => 'px',
          			// 	'default_on_front' => '',
          			// 	'range_settings'  => array(
          			// 		'min'  => '0',
          			// 		'max'  => '720',
          			// 		'step' => '1',
          			// 	),
          			// 	'depends_show_if' => 'fullwidth',
          			// 	'tab_slug'        => 'advanced',
          			// 	'toggle_slug'     => 'toggle_appearance',
          			// ),
              );

              return $fields;
          }


                  public function get_search_items_content() {
                    return $this->content;
                  }


          public static function get_filter ( $args = array(), $conditional_tags = array(), $current_page = array() ){
            if (!is_admin()) {
              return;
            }

              ob_start();

              $all_tabs_content = $this->get_search_items_content();


              echo $all_tabs_content;

              $data = ob_get_clean();

            return $data;

            }

          public function get_transition_fields_css_props() {
            $fields = parent::get_transition_fields_css_props();

            $fields['form_field_background_color'] = array(
              'background-color' => implode(', ', array(
                '%%order_class%% .et_pb_contact_field',
                '%%order_class%% .et_pb_contact_field[type="checkbox"]+label i',
                '%%order_class%% .et_pb_contact_field[type="radio"]+label i',
              ))
            );

            return $fields;
          }

          public function get_button_alignment() {
            $text_orientation = isset( $this->props['button_alignment'] ) ? $this->props['button_alignment'] : '';
            return et_pb_get_alignment( $text_orientation );
          }


                  function render( $attrs, $content = null, $render_slug ) {


                      if (is_admin()) {
                          return;
                      }


                      $search_button_text                       = $this->props['search_button_text'];
                      $filter_update_type                       = $this->props['filter_update_type'];
                      $appearance                       = $this->props['appearance'];
                      $filter_location                       = $this->props['filter_location'];
                      $filter_item_bg_color                       = $this->props['filter_item_bg_color'];

                      $filter_item_top                       = $this->props['filter_item_top'];
                      $toggle_icon                       = $this->props['toggle_icon'];
                      // $toggle_icon_rotate                       = $this->props['toggle_icon_rotate'];


                      $filter_item_padding_top                      = $this->props['filter_item_padding_top'];
                      $filter_item_padding_right                      = $this->props['filter_item_padding_right'];
                      $filter_item_padding_bottom                       = $this->props['filter_item_padding_bottom'];
                      $filter_item_padding_left                      = $this->props['filter_item_padding_left'];

                      $fullwidth_columns                      = $this->props['fullwidth_columns'];
                      $column_gap                      = $this->props['column_gap'];

                      $toggle_dropdown_padding                      = $this->props['toggle_dropdown_padding'];

                      $button_alignment             = $this->get_button_alignment();





                      $toggle_icon_dis = DEDMACH_INIT::et_icon_css_content( esc_attr($toggle_icon) );

                      $all_tabs_content = $this->get_search_items_content();


                      $this->add_classname( 'dmach-location-' . $filter_location );

                      if ($appearance == "toggle") {
                        $this->add_classname( 'dmach-filer-toggle' );
                      }

                      if ( ! empty( $toggle_dropdown_padding ) ) {
                  			self::set_style( $render_slug,
                  				array(
                  					'selector'    => '%%order_class%% .dmach-filter-item',
                  					'declaration' => sprintf( 'padding: %1$s !important;', esc_html( $toggle_dropdown_padding ) ),
                  				) );
                  		}


                      if ( ! empty( $fullwidth_columns ) ) {
                        if ( $fullwidth_columns != "auto") {
                  			self::set_style( $render_slug,
                  				array(
                  					'selector'    => '%%order_class%% .dmach-location-fullwidth .dmach-filter-containter',
                  					'declaration' => sprintf( 'grid-template-columns: repeat(%1$s, auto);', esc_html( $fullwidth_columns ) ),
                  				) );
                        }
                  		}


                      if ( ! empty( $column_gap ) ) {
                  			self::set_style( $render_slug,
                  				array(
                  					'selector'    => '%%order_class%% .dmach-location-fullwidth .dmach-filter-containter',
                  					'declaration' => sprintf( 'column-gap: %1$s;', esc_html( $column_gap ) ),
                  				) );
                  		}


                      if ( $toggle_icon != ""  && $appearance == "toggle")  {
                  			self::set_style( $render_slug,
                  				array(
                  					'selector'    => '%%order_class%% .et_pb_contact_field_options_title::after',
                  					'declaration' => sprintf( 'content: "%1$s";', esc_html( $toggle_icon_dis ) ),
                  				) );
                  		}

                  if ( ! empty( $filter_item_bg_color ) ) {
                  			self::set_style( $render_slug,
                  				array(
                  					'selector'    => '%%order_class%% .dmach-filter-item',
                  					'declaration' => sprintf( 'background-color: %1$s;', esc_attr( $filter_item_bg_color ) ),
                  				) );
                  		}

                      if ( ! empty( $filter_item_top ) ) {
                  			self::set_style( $render_slug,
                  				array(
                  					'selector'    => '%%order_class%% .dmach-filter-item',
                  					'declaration' => sprintf( 'top: %1$s;', esc_attr( $filter_item_top ) ),
                  				) );
                  		}

                      if ( ! empty( $filter_item_padding_top ) ) {
                  			self::set_style( $render_slug,
                  				array(
                  					'selector'    => '%%order_class%% .dmach-filter-item',
                  					'declaration' => sprintf( 'padding-top: %1$s;', esc_attr( $filter_item_padding_top ) ),
                  				) );
                  		}

                      if ( ! empty( $filter_item_padding_right ) ) {
                  			self::set_style( $render_slug,
                  				array(
                  					'selector'    => '%%order_class%% .dmach-filter-item',
                  					'declaration' => sprintf( 'padding-right: %1$s;', esc_attr( $filter_item_padding_right ) ),
                  				) );
                  		}

                      if ( ! empty( $filter_item_padding_bottom ) ) {
                  			self::set_style( $render_slug,
                  				array(
                  					'selector'    => '%%order_class%% .dmach-filter-item',
                  					'declaration' => sprintf( 'padding-bottom: %1$s;', esc_attr( $filter_item_padding_bottom ) ),
                  				) );
                  		}

                      if ( ! empty( $filter_item_padding_left ) ) {
                  			self::set_style( $render_slug,
                  				array(
                  					'selector'    => '%%order_class%% .dmach-filter-item',
                  					'declaration' => sprintf( 'padding-left: %1$s;', esc_attr( $filter_item_padding_left ) ),
                  				) );
                  		}


                      $this->add_classname( 'et_pb_button_alignment_' . $button_alignment . '' );

                  //////////////////////////////////////////////////////////////////////

                    ob_start();

                    global $post;

if (is_object($post)) {
                    $post_type = get_post_type( $post->ID );
                    $post_link = get_post_type_archive_link( $post_type );
} else {
  $post_link = "";
}
                  ?>
                      <div id="dmach_filter" class="et_pb_contact updatetype-<?php echo $filter_update_type ?>">
                        <div class="ajax-filter-results"></div>
                        <div class="dmach-filter-containter">
                    <?php echo $all_tabs_content; ?>
                        </div>
                    <?php if ($filter_update_type == "update_button") { ?>
                    <input id="dmach_filter_button" class="et_pb_button button" type="submit" value="<?php echo $search_button_text ?>"  style="margin-top: 20px;" />
                    <script>
                    jQuery(document).ready(function($) {
                    $( "#dmach_filter_button" ).click(function() {
                  dmach_find_filters_to_filter();
                    });
                    $('#dmach_filter select, #dmach_filter input[type=radio], #dmach_filter input[type=checkbox], #dmach_filter input[type=range]').on('change', function() {
                      var filter_item_name = $(this).attr("name"),
                      		filter_item_val = $(this).val();
                    dmach_append_url(filter_item_name, filter_item_val);
                     });
                  });
                    </script>
                  <?php } ?>
                  <div class="button_container" style="margin-top: 20px;">
                    <a class="reset-filters et_pb_button" href="">Reset</a>
                  </div>
                  </div>
                  <?php

                  if ($filter_update_type == "update_field") {
?>
<script>
jQuery(document).ready(function($) {
    $('#dmach_filter select, #dmach_filter input[type=radio], #dmach_filter input[type=checkbox], #dmach_filter input[type=range]').on('change', function() {
        dmach_find_filters_to_filter();
    });
        $('#dmach_filter input[type=text]').blur(function() {
            dmach_find_filters_to_filter();
        });

    $('.dmach-tag-cloud a').click(function( event ) {
        event.preventDefault();
    });
});
</script>
                    <?php
                  }

                    $data = ob_get_clean();

                   //////////////////////////////////////////////////////////////////////

                  return $data;



              }

            }

            new de_mach_filter_posts_code;

?>
