<?php
if ( ! defined( 'ABSPATH' ) ) exit;

class de_mach_title_code extends ET_Builder_Module {

public $vb_support = 'on';

protected $module_credits = array(
  'module_uri' => DE_DMACH_PRODUCT_URL,
  'author'     => DE_DMACH_AUTHOR,
  'author_uri' => DE_DMACH_URL,
);

                function init() {
                    $this->name       = esc_html__( '.Post Title - Divi Machine', 'divi-machine' );
                    $this->slug = 'et_pb_de_mach_title';


                    $this->fields_defaults = array(
                    // 'loop_layout'         => array( 'on' ),
                    );

          $this->settings_modal_toggles = array(
      			'general' => array(
      				'toggles' => array(
      					'main_content' => esc_html__( 'Main Options', 'divi-machine' ),
      				),
      			),
      			'advanced' => array(
      				'toggles' => array(
      					'text' => esc_html__( 'Text', 'divi-machine' ),
      				),
      			),

      		);


                      $this->main_css_element = '%%order_class%%';


                      $this->advanced_fields = array(
                  			'fonts' => array(
                  				'title' => array(
                  					'label'    => esc_html__( 'Title', 'divi-machine' ),
                  					'css'      => array(
                  						'main' => "%%order_class%% .dmach-post-title",
                  						'important' => 'plugin_only',
                  					),
                  					'font_size' => array(
                  						'default' => '14px',
                  					),
                  					'line_height' => array(
                  						'default' => '1em',
                  					),
                  				),
                  			),
              			'background' => array(
              				'settings' => array(
              					'color' => 'alpha',
              				),
              			),
                  			'button' => array(
                  			),
                  			'box_shadow' => array(
                  				'default' => array(),
                  				'product' => array(
                  					'label' => esc_html__( 'Default Layout - Box Shadow', 'divi-machine' ),
                  					'css' => array(
                  						'main' => "%%order_class%% .products .product",
                  					),
                  					'option_category' => 'layout',
                  					'tab_slug'        => 'advanced',
                  					'toggle_slug'     => 'product',
                  				),
                  			),
                  		);


                      $this->custom_css_fields = array(
                  		);


            $this->help_videos = array(
            );
          }

                  function get_fields() {

                      $fields = array(
                        'title_tag' => array(
                          'label'       => __( 'Title HTML Tag', 'et_builder' ),
                          'type'        => 'select',
                          'options'     => array(
                              "h1"=>"h1",
                              "h2"=>"h2",
                              "h3"=>"h3",
                              "h4"=>"h4",
                              "h5"=>"h5",
                              "h6"=>"h6",
                               "p"=>"p"
                          ),
                          'default'     => 'h1',
                          'description' => __( 'the number of related items to show. Defaults to 3', 'et_builder' ),
                        ),
                      'link_product' => array(
                      'label'             => esc_html__( 'Link Title to Single Page (if on category page)', 'et_builder' ),
                      'type'              => 'yes_no_button',
                      'option_category'   => 'layout',
                      'option_category'   => 'configuration',
                      'options'           => array(
                      'on'  => esc_html__( 'Yes', 'et_builder' ),
                      'off' => esc_html__( 'No', 'et_builder' ),
                      ),
                      'description'        => esc_html__( 'Enable this if you want to allow the user to click on the title to go to the product page.)', 'et_builder' ),
                    ),
                      '__getposttitle' => array(
                          'type' => 'computed',
                          'computed_callback' => array( 'de_mach_title_code', 'get_post_title' ),
                          'computed_depends_on' => array(
                            'name',
                          ),
                      ),
                      );

                      return $fields;
                  }

                  public static function get_post_title ( $args = array(), $conditional_tags = array(), $current_page = array() ){
                    if (!is_admin()) {
                      return;
                    }

                      ob_start();

                      $post_slug = DEDMACH_INIT::get_vb_post_type();

                    $get_cpt_args = array(
                      'post_type' => $post_slug,
                      'post_status' => 'publish',
                      'posts_per_page' => '1',
                      'orderby' => 'ID',
                      'order' => 'ASC',
                  );

                  query_posts( $get_cpt_args );

                  $first = true;

                  if ( have_posts() ) {
                    while ( have_posts() ) {
                      the_post();
                      // setup_postdata( $post );

                    if ( $first )  {

                //////////////////////////////////////////////////

                $get_id = get_the_ID();
                $get_title = get_the_title();

                echo $get_title;

                //////////////////////////////////////////////////
                  $first = false;
                    } else {

                    }

                }
                }

                      $data = ob_get_clean();

                    return $data;

                    }


                  function render( $attrs, $content = null, $render_slug ) {

                    // if (is_admin()) {
                    //     return;
                    // }

                    $link_product		= $this->props['link_product'];
                    $title_tag		= $this->props['title_tag'];

                    if ($title_tag == "") {
                      $title_tag = "h1";
                    }
                    else {
                      $title_tag = $title_tag;
                    }


                  //////////////////////////////////////////////////////////////////////

                    ob_start();

                    if ($link_product == 'on' ) {

                    $url = get_permalink( get_the_ID() );

                    echo '<a href="'.$url.'" >';

                  }

                  echo '<'.$title_tag.' itemprop="name" class="entry-title dmach-post-title">';
                  echo get_the_title();
                  echo '</'.$title_tag.'>';

                  if ($link_product == 'on' ) {
                  echo '</a>';
                  }

                    $data = ob_get_clean();



                   //////////////////////////////////////////////////////////////////////

                  return $data;



              }

            }

            new de_mach_title_code;

?>
