<?php
if ( ! defined( 'ABSPATH' ) ) exit;


function divi_machine_titan_add_post_options() {
include(DE_DMACH_PATH . '/titan-framework/titan-framework-embedder.php');
  $titan = TitanFramework::getInstance( 'divi-machine' );


function create_dmachine_create_posts() {

  include(DE_DMACH_PATH . '/titan-framework/titan-framework-embedder.php');
  $titan = TitanFramework::getInstance( 'divi-machine' );

  $ids = array();
  $args = array( 'post_type' => 'dmach_post', 'posts_per_page' => -1 );
  $loop = new WP_Query( $args );
  while ( $loop->have_posts() ) : $loop->the_post();
  array_push( $ids, get_the_ID() );

  // END LOOP
  endwhile;
  foreach (array_unique($ids) as $key => $value) {


    $dmach_post_type_key = $titan->getOption( 'dmach_post_type_key', $value  ); // DONE
    if ($dmach_post_type_key == "post_type") {
      function custom_post_notice() {
          echo '<div class="error"><p><strong>' . sprintf(esc_html__('Please make sure you choose a unique slug name and not "post_type" for your CPT', 'divi-machine')) . '</strong></p></div>';
      }
        add_action('admin_notices', 'custom_post_notice');
    } else {

    $dmach_description = $titan->getOption( 'dmach_description', $value  ); // DONE
    $dmach_name_singular = $titan->getOption( 'dmach_name_singular', $value  ); // DONE
    $dmach_name_plural = $titan->getOption( 'dmach_name_plural', $value  ); // DONE
    $dmach_taxonomies = $titan->getOption( 'dmach_taxonomies', $value  ); // DONE

    $dmach_hierarchical = $titan->getOption( 'dmach_hierarchical', $value  ); // DONE
    $dmach_menu_name = $titan->getOption( 'dmach_menu_name', $value  ); // DONE
    $dmach_all_items = $titan->getOption( 'dmach_all_items', $value  ); // DONE
    $dmach_admin_bar_name = $titan->getOption( 'dmach_admin_bar_name', $value  ); // DONE
    $dmach_add_new_item = $titan->getOption( 'dmach_add_new_item', $value  ); // DONE
    $dmach_new_item = $titan->getOption( 'dmach_new_item', $value  ); // DONE
    $dmach_add_new = $titan->getOption( 'dmach_add_new', $value  ); // DONE
    $dmach_edit_item = $titan->getOption( 'dmach_edit_item', $value  ); // DONE
    $dmach_update_item = $titan->getOption( 'dmach_update_item', $value  ); // DONE
    $dmach_view_item = $titan->getOption( 'dmach_view_item', $value  ); // DONE
    $dmach_view_items = $titan->getOption( 'dmach_view_items', $value  ); // DONE
    $dmach_search_item = $titan->getOption( 'dmach_search_item', $value  ); // DONE

    $dmach_supports = $titan->getOption( 'dmach_supports', $value  ); // DONE
    $dmach_exclude_from_search = $titan->getOption( 'dmach_exclude_from_search', $value  ); // DONE
    $dmach_enable_archives = $titan->getOption( 'dmach_enable_archives', $value  );// DONE
    $dmach_custom_archive_slug = $titan->getOption( 'dmach_custom_archive_slug', $value  );// DONE

    if ($dmach_enable_archives == "true") {
      $dmach_enable_archives_dis = $dmach_post_type_key;
    } else if ($dmach_enable_archives == "true_custom") {
        $dmach_enable_archives_dis = $dmach_custom_archive_slug;
    } else {
      $dmach_enable_archives_dis = $dmach_post_type_key;
    }

    $dmach_public = $titan->getOption( 'dmach_public', $value  ); // DONE
    $dmach_show_in_admin_sidebar = $titan->getOption( 'dmach_show_in_admin_sidebar', $value  ); // DONE
    $dmach_show_admin_sidebar_postion = $titan->getOption( 'dmach_show_admin_sidebar_postion', $value  ); // DONE
    $dmach_show_admin_sidebar_icon = $titan->getOption( 'dmach_show_admin_sidebar_icon', $value  ); // DONE
    $dmach_show_in_admin_bar = $titan->getOption( 'dmach_show_in_admin_bar', $value  ); // DONE
    $dmach_show_in_nav_menus = $titan->getOption( 'dmach_show_in_nav_menus', $value  ); // DONE

    // $dmach_query = $titan->getOption( 'dmach_query', $value  );
    // $dmach_custom_query = $titan->getOption( 'dmach_custom_query', $value  );
    $dmach_public_query = $titan->getOption( 'dmach_public_query', $value  );
    // $dmach_permalinks_rewrite = $titan->getOption( 'dmach_permalinks_rewrite', $value  );
    $dmach_capability_type = $titan->getOption( 'dmach_capability_type', $value  );

    // if ($dmach_permalinks_rewrite == "none") {
    //   $dmach_permalinks_rewrite_dis =
    // } else {
    //   $dmach_permalinks_rewrite_dis = "";
    // }


if ($dmach_taxonomies !== "") {

if (is_array($dmach_taxonomies)) {
foreach ($dmach_taxonomies as $value) {


    $ending = "_" . $value;
    $cat_key = $dmach_post_type_key . $ending;

    if ($value == "category") {
      $label = "Category";
      $label_plural = "Categories";
      $label_lower = "category";
      $label_lower_plural = "categories";
      $slug = $dmach_post_type_key . '_category';
    } else {
      $label = "Tag";
      $label_plural = "Tags";
      $label_lower = "tag";
      $label_lower_plural = "tags";
      $slug = $dmach_post_type_key . '_tag';
    }

    register_taxonomy(
			$cat_key,
			$dmach_post_type_key,
				array(
					'hierarchical'          => true,
					'label'                 => __( $label_plural, 'woocommerce' ),
					'labels'                => array(
						'name'              => __( $dmach_name_singular . ' ' . $label_lower_plural, 'woocommerce' ),
						'singular_name'     => __( $dmach_name_singular . ' ' . $label, 'woocommerce' ),
						'menu_name'         => _x( $label_plural, 'Admin menu name', 'woocommerce' ),
						'search_items'      => __( 'Search ' . $label_lower_plural, 'woocommerce' ),
						'all_items'         => __( 'All ' . $label_lower_plural, 'woocommerce' ),
						'parent_item'       => __( 'Parent ' . $label_lower, 'woocommerce' ),
						'parent_item_colon' => __( 'Parent ' . $label_lower . ':', 'woocommerce' ),
						'edit_item'         => __( 'Edit ' . $label_lower, 'woocommerce' ),
						'update_item'       => __( 'Update ' . $label_lower, 'woocommerce' ),
						'add_new_item'      => __( 'Add new ' . $label_lower, 'woocommerce' ),
						'new_item_name'     => __( 'New ' . $label_lower . ' name', 'woocommerce' ),
						'not_found'         => __( 'No ' . $label_lower_plural . ' found', 'woocommerce' ),
					),
					'show_ui'               => true,
					'query_var'             => true,
					'rewrite'               => array(
						'slug'         => $slug,
						'with_front'   => false,
						'hierarchical' => true,
					),
				)
		);

}
}

} else {
}


    $labels = array(
  		'name'                  => _x( $dmach_name_plural, 'Post Type General Name', 'divi_machine' ),
  		'singular_name'         => _x( $dmach_name_singular, 'Post Type Singular Name', 'divi_machine' ),
  		'menu_name'             => __( $dmach_menu_name, 'divi_machine' ),
  		'name_admin_bar'        => __( $dmach_admin_bar_name, 'divi_machine' ),
  		'archives'              => __( 'Item Archives', 'divi_machine' ),
  		'attributes'            => __( 'Item Attributes', 'divi_machine' ),
  		'parent_item_colon'     => __( 'Parent Item:', 'divi_machine' ),
  		'all_items'             => __( $dmach_all_items, 'divi_machine' ),
  		'add_new_item'          => __( $dmach_new_item, 'divi_machine' ),
  		'add_new'               => __( $dmach_add_new, 'divi_machine' ),
  		'new_item'              => __( $dmach_new_item, 'divi_machine' ),
  		'edit_item'             => __( $dmach_edit_item, 'divi_machine' ),
  		'update_item'           => __( $dmach_update_item, 'divi_machine' ),
  		'view_item'             => __( $dmach_view_item, 'divi_machine' ),
  		'view_items'            => __( $dmach_view_items, 'divi_machine' ),
  		'search_items'          => __( $dmach_search_item, 'divi_machine' ),
  		'not_found'             => __( 'Not found', 'divi_machine' ),
  		'not_found_in_trash'    => __( 'Not found in Trash', 'divi_machine' ),
  		'featured_image'        => __( 'Featured Image', 'divi_machine' ),
  		'set_featured_image'    => __( 'Set featured image', 'divi_machine' ),
  		'remove_featured_image' => __( 'Remove featured image', 'divi_machine' ),
  		'use_featured_image'    => __( 'Use as featured image', 'divi_machine' ),
  		'insert_into_item'      => __( 'Insert into item', 'divi_machine' ),
  		'uploaded_to_this_item' => __( 'Uploaded to this item', 'divi_machine' ),
  		'items_list'            => __( 'Items list', 'divi_machine' ),
  		'items_list_navigation' => __( 'Items list navigation', 'divi_machine' ),
  		'filter_items_list'     => __( 'Filter items list', 'divi_machine' ),
  	);




    $capabilities = array(
    'edit_post'             => 'edit_post',
    'read_post'             => 'read_post',
    'delete_post'           => 'delete_post',
    'edit_posts'            => 'edit_posts',
    'edit_others_posts'     => 'edit_others_posts',
    'publish_posts'         => 'publish_posts',
    'read_private_posts'    => 'read_private_posts',
    );

	  $args = array(
		'label'                 => __( $dmach_name_singular, 'divi_machine' ),
		'description'           => __( $dmach_description, 'divi_machine' ),
		'labels'                => $labels,
		'supports'              => $dmach_supports,
    'publicly_queryable'    => true,
    'query_var'             => true,
		'hierarchical'          => $dmach_hierarchical,
		'public'                => $dmach_public,
		'show_ui'               => true,
		'show_in_menu'          => $dmach_show_in_admin_sidebar,
		'menu_position'         => 5,
		'menu_icon'             => $dmach_show_admin_sidebar_icon,
		'show_in_admin_bar'     => $dmach_show_in_admin_bar,
		'show_in_nav_menus'     => $dmach_show_in_nav_menus,
		'has_archive'           => $dmach_enable_archives_dis,
		'exclude_from_search'   => $dmach_exclude_from_search,
		// 'publicly_queryable'    => true,
		// 'query_var'             => 'post_type',
		// 'capability_type'       => 'pages',
);




register_post_type( $dmach_post_type_key, $args );
flush_rewrite_rules();

}
}
wp_reset_postdata();

}
add_action( 'init', 'create_dmachine_create_posts');




// END
    }
  add_action( 'tf_create_options', 'divi_machine_titan_add_post_options' );


?>
